Unity Lens Movie

L’arrivo di Unity ha dato il via anche all’arrivo a molti lens di terze parti sviluppate per aggiungere nuove funzionalità di ricerca ad Dash, come ad esempio dettagli e trailer dei nostri film preferiti grazie a Unity Lens Movie.
Unity Lens Movie è un nuovo Lens che ci permette di effettuare ricerche mirate su film  direttamente dal Dash basta scrivere anche solo una parte del titolo e avremo tutti i risultati correlati con tanto di miniatura della locandina, anno del film e l’indici di gradimento (da una a cinque stelle).
Grazie all’integrazione con la funzionalità d’anteprima Unity Lens Movie ci permette di avere informazioni sul film oltra alla locandina (se disponibile) come ad esempio genere del film (azione, avventura ecc) informazioni sugli attori e la trama del film. Inoltre, se disponibile, potremo vedere anche il trailer del film direttamente dal nostro player preferito, cliccando sul pulsante play trailer nell’anteprima.

Unity Lens Movie - anteprima

Unity Movie Lens utilizza le API del portale themoviedb.org il quale supporta molte lingue italiano compreso, se il film è straniero è consigliando inserire nella ricerca il nome del film originale e non in italiano.

Unity Lens Movie è disponibile per Ubuntu 12.10 digitando da terminale:

sudo add-apt-repository ppa:atareao/lenses
sudo apt-get update
sudo apt-get install unity-lens-movie

al termine dell’installazione dovremo riavviare o terminare la sessione.

Home Unity Movie Lens

  • maniuz

    come faccio a risolvere la dipendenza python3-requests che è assente nei repo di ubuntu 12.04? sembra essere presente solo per Quantal

    • devi installare python 3 ma è un casino
      oltre al fatto che supporta unity 6.6 quindi non andrebbe nemmeno se risolvi questo problema
      il lens difatti va solo per ubu 12.10

      • maniuz

        peccato, mi interessava molto. quello che non capisco è perchè nel repository è presente il pacchetto anche per precise, se di fatto è solo per ubuntu 12.10

        • perchè molto probabilmente ha uno script per dput (server per caricare i sorgenti su lanchpad) che carica sia su precise che quantal (o altre release di ubuntu)
          in modo da semplificarti la vita altrimenti devi caricare a mano i sorgenti per ogni release di ubuntu (lo faccio anch’io)
          probabilmente non ha inserito solo in quantal ma gli è andato su anche per precise tutto qua
          il builder di lanchpad fa i pacchetti ma però controlla solo di dipendenze per la creazione del pacchetto e non quelle dell’applicazione ed ecco l’errore

          • maniuz

            capisco, chissà come dev’essere gestire un repo. grazie del chiarimento 🙂

No more articles